Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionSizeGrip

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex
                      com.trolltech.qt.gui.QStyleOptionSizeGrip

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QStyleOptionSizeGrip

extends QStyleOptionComplex
implements java.lang.Cloneable

The `QStyleOptionSizeGrip` class is used to describe the parameter for drawing a size grip. `QStyleOptionButton` contains all the information that `QStyle` functions need to draw `QSizeGrip`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`, `QStyleOptionComplex`, and `QSizeGrip`.

Nested Class Summary
`static class` | `QStyleOptionSizeGrip.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionSizeGrip.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleOptionSizeGrip()` Constructs a `QStyleOptionSizeGrip`.
`QStyleOptionSizeGrip(QStyleOptionSizeGrip other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionSizeGrip` | `clone()` This method is reimplemented for internal reasons
`Qt.Corner` | `corner()` The corner in which the size grip is located.
`static QStyleOptionSizeGrip` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleOptionSizeGrip instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QStyleOptionSizeGrip[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionSizeGrip array.
`void` | `setCorner(Qt.Corner corner)` The corner in which the size grip is located.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, nativePointerArray, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionSizeGrip

    public QStyleOptionSizeGrip()

  Constructs a `QStyleOptionSizeGrip`.

### QStyleOptionSizeGrip

    public QStyleOptionSizeGrip(QStyleOptionSizeGrip other)

  Constructs a copy of the `other` style option.

Method Detail

### setCorner

    public final void setCorner(Qt.Corner corner)

  The corner in which the size grip is located.

### corner

    public final Qt.Corner corner()

  The corner in which the size grip is located.

### fromNativePointer

    public static QStyleOptionSizeGrip fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleOptionSizeGrip instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionSizeGrip[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionSizeGrip array.

### clone

    public QStyleOptionSizeGrip clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOptionComplex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD